get
https://api.rotowire.com/Baseball/MLB/Weather.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve weather for. Format YYYY-MM-DD. Defaults to current date. |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | |
Games | array |
Games Object
| Field | Type | Description |
|---|---|---|
Id | integer | |
DateTime | string | |
Weather | object | |
Teams | array |
Example Response
{
"Date": "2017-08-10",
"Games": [
{
"Id": 45302,
"DateTime": "2017-08-10T12:35:00-04:00",
"Weather": {
"Impact": "DOUBTFUL",
"Summary": "Partly cloudy skies with light winds blowing out to left field.",
"Forecast": {
"Type": "CLEAR-DAY",
"Temperature": {
"Units": "F",
"Value": 80.39
},
"Precipitation": {
"Type": "NONE",
"Probability": 0
},
"Wind": {
"Units": "MPH",
"Speed": 0.84,
"Bearing": 298
}
}
},
"Teams": [
{
"Id": 7,
"Code": "CIN",
"IsHome": 1
}
]
}
]
}